VERSION 5.00
Begin VB.Form Main 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Video Frame Calculator"
   ClientHeight    =   1845
   ClientLeft      =   5805
   ClientTop       =   4395
   ClientWidth     =   3120
   BeginProperty Font 
      Name            =   "Verdana"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "FrameCalc.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1845
   ScaleWidth      =   3120
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame MainFrame 
      Height          =   1905
      Left            =   0
      TabIndex        =   5
      Top             =   -60
      Width           =   3120
      Begin VB.ComboBox FrameRate 
         Height          =   315
         ItemData        =   "FrameCalc.frx":0442
         Left            =   1335
         List            =   "FrameCalc.frx":0455
         TabIndex        =   2
         Text            =   "FrameRate"
         Top             =   885
         Width           =   1680
      End
      Begin VB.CommandButton ExitButton 
         Caption         =   "E&xit"
         BeginProperty Font 
            Name            =   "Verdana"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   450
         Left            =   2475
         TabIndex        =   4
         Top             =   1350
         Width           =   525
      End
      Begin VB.TextBox Total 
         Alignment       =   2  'Center
         BackColor       =   &H00E0E0E0&
         BeginProperty Font 
            Name            =   "Verdana"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   -1  'True
            Strikethrough   =   0   'False
         EndProperty
         Height          =   285
         Left            =   1170
         Locked          =   -1  'True
         TabIndex        =   9
         TabStop         =   0   'False
         Top             =   1515
         Width           =   1215
      End
      Begin VB.CommandButton CalculateButton 
         Caption         =   "&Calculate"
         BeginProperty Font 
            Name            =   "Verdana"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   450
         Left            =   105
         TabIndex        =   3
         Top             =   1350
         Width           =   990
      End
      Begin VB.TextBox EndTime 
         Alignment       =   2  'Center
         Appearance      =   0  'Flat
         Height          =   285
         Left            =   1350
         TabIndex        =   1
         Text            =   "[HH:]MM:SS"
         Top             =   540
         Width           =   1635
      End
      Begin VB.TextBox StartTime 
         Alignment       =   2  'Center
         Appearance      =   0  'Flat
         Height          =   285
         Left            =   1350
         TabIndex        =   0
         Text            =   "[HH:]MM:SS"
         Top             =   195
         Width           =   1635
      End
      Begin VB.Label TotalFramesLabel 
         AutoSize        =   -1  'True
         Caption         =   "Total Frames:"
         BeginProperty Font 
            Name            =   "Verdana"
            Size            =   6.75
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   180
         Left            =   1245
         TabIndex        =   10
         Top             =   1335
         Width           =   1050
      End
      Begin VB.Line Line1 
         X1              =   15
         X2              =   3090
         Y1              =   1245
         Y2              =   1245
      End
      Begin VB.Label FrameRateLabel 
         AutoSize        =   -1  'True
         Caption         =   "Frame Rate:"
         Height          =   195
         Left            =   105
         TabIndex        =   8
         Top             =   930
         Width           =   1185
      End
      Begin VB.Label EndTimeLabel 
         AutoSize        =   -1  'True
         Caption         =   "End Time:"
         Height          =   195
         Left            =   330
         TabIndex        =   7
         Top             =   585
         Width           =   960
      End
      Begin VB.Label StartTimeLabel 
         AutoSize        =   -1  'True
         Caption         =   "Start Time:"
         Height          =   195
         Left            =   210
         TabIndex        =   6
         Top             =   240
         Width           =   1080
      End
   End
End
Attribute VB_Name = "Main"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub CalculateButton_Click()
  
  On Error Resume Next
  
  Dim Seconds_Start As Integer
  Dim Seconds_End As Integer
  Dim Temp As Variant
  Dim Foo As String
  
  If Val(StartTime.Text) < 1 Then
    MsgBox "Invalid start time!", vbOKOnly
    Exit Sub
  ElseIf Val(EndTime.Text) < 1 Then
    MsgBox "Invalid end time!", vbOKOnly
    Exit Sub
  End If
  
  Temp = Split(StartTime.Text, ":")
  
  If UBound(Temp) = 2 Then
  
    Seconds_Start = 0
    
    Seconds_Start = Seconds_Start + 3600 * Temp(0)
    Seconds_Start = Seconds_Start + 60 * Temp(1)
    Seconds_Start = Seconds_Start + Temp(2)
    
  ElseIf UBound(Temp) = 1 Then
  
    Seconds_Start = Seconds_Start + 60 * Temp(0)
    Seconds_Start = Seconds_Start + Temp(1)
  
  Else
  
    MsgBox "Invalid start time.", vbOKOnly
    Exit Sub
    
  End If
  
  Temp = Split(EndTime.Text, ":")
  
  If UBound(Temp) = 2 Then
  
    Seconds_End = 0
    
    Seconds_End = Seconds_End + 3600 * Temp(0)
    Seconds_End = Seconds_End + 60 * Temp(1)
    Seconds_End = Seconds_End + Temp(2)
    
  ElseIf UBound(Temp) = 1 Then
  
    Seconds_End = Seconds_End + 60 * Temp(0)
    Seconds_End = Seconds_End + Temp(1)
  
  Else
  
    MsgBox "Invalid end time.", vbOKOnly
    Exit Sub
    
  End If
  
  If Seconds_Start > Seconds_End Then
  
    If MsgBox("Start time is AFTER end time?", vbYesNo) = vbYes Then
      
      MsgBox "You're crazy.", vbOKOnly
      Exit Sub
      
    Else
    
      Exit Sub
      
    End If
  
  End If
  
  Select Case FrameRate.ListIndex
    
    Case 0:
      Total.Text = Round((Seconds_End - Seconds_Start) * 23.976)
      
    Case 1:
      Total.Text = Round((Seconds_End - Seconds_Start) * 24)
      
    Case 2:
      Total.Text = Round((Seconds_End - Seconds_Start) * 25)
      
    Case 3:
      Total.Text = Round((Seconds_End - Seconds_Start) * 29.97)
      
    Case 4:
      Total.Text = Round((Seconds_End - Seconds_Start) * 30)
      
    Case Else:
      
      If Val(FrameRate.Text) < 1 Then
        MsgBox "Invalid frame rate!", vbOKOnly
        Exit Sub
      Else
        Total.Text = Round((Seconds_End - Seconds_Start) * Val(FrameRate.Text))
      End If
      
  End Select
  
End Sub

Private Sub EndTime_GotFocus()

  On Error Resume Next

  EndTime.SelStart = 0
  EndTime.SelLength = Len(EndTime.Text)

End Sub

Private Sub EndTime_KeyPress(KeyAscii As Integer)

  On Error Resume Next

  If KeyAscii = 27 Then
    KeyAscii = 0
    End
  End If

End Sub

Private Sub ExitButton_Click()

  End

End Sub

Private Sub Form_Load()

  On Error Resume Next

  FrameRate.ListIndex = 0

End Sub

Private Sub FrameRate_KeyPress(KeyAscii As Integer)

  On Error Resume Next

  If KeyAscii = 27 Then
  
    KeyAscii = 0
    End
  
  End If

End Sub

Private Sub StartTime_GotFocus()

  On Error Resume Next

  StartTime.SelStart = 0
  StartTime.SelLength = Len(StartTime.Text)

End Sub

Private Sub StartTime_KeyPress(KeyAscii As Integer)

  On Error Resume Next

  If KeyAscii = 27 Then
    KeyAscii = 0
    End
  End If

End Sub
